Bug 103824 - Includes to add for XFree86 SDK
Summary: Includes to add for XFree86 SDK
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-05 13:17 UTC by Paul Nasrat
Modified: 2007-04-18 16:57 UTC (History)
1 user (show)

Fixed In Version: 4.3.0-27
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-06 10:26:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Completely untested patch to Imakefile (1.51 KB, text/plain)
2003-09-05 13:19 UTC, Paul Nasrat
no flags Details

Description Paul Nasrat 2003-09-05 13:17:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
Whilst attempting to build vnc using XFree86-sdk the following includes needed
to be added to /usr/X11R6/lib/Server/include

selection.h
dixfont.h
dixfontstr.h
closure.h


Version-Release number of selected component (if applicable):
XFree86-sdk-4.3.0-25

How reproducible:
Always

Steps to Reproduce:
1. Build vnc using SDK
imake -I/usr/X11R6/lib/Server/config/cf -I../../../config/cf \
-DUseInstalled -DXF86DriverSDK -DTOPDIR=../../../ -DCURDIR=.

    

Actual Results:  Make errors

Expected Results:  No errors for missing includes

Additional info:

Comment 1 Paul Nasrat 2003-09-05 13:19:23 UTC
Created attachment 94230 [details]
Completely untested patch to Imakefile

This is untested (as XFree86 takes ages to compile) but a fairly trivial patch

Comment 2 Mike A. Harris 2003-09-05 19:14:43 UTC
Your patch looks sane and correct.  I'll apply it to the next build, which
will be 26.1 or 27.

Comment 3 Mike A. Harris 2003-09-06 10:26:50 UTC
Fixed in 4.3.0-27 and later, you can test 4.3.0-29 which will be in rawhide
tomorrow if all goes well.


Note You need to log in before you can comment on or make changes to this bug.